<xsl:stylesheet
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
     
<!-- ####################################### -->
<!-- ####################################### -->
<!-- Write thumbnail html pages -->
<xsl:template match="album" mode="contactsheets">
<xsl:for-each select="subalbum">
    
  <xsl:if test="count(photo)">
  
  <xsl:variable name="subalbumNumber" select="position()"/>
  <xsl:document method="html" indent="yes" href="{concat($outputPath, '/subalbum_', string(position()), '_thumbs.html')}"> 
    <html>
      <head>
        <meta name="generator" content="Album Shaper (c.) Will Stokes"/>
 	  <link href="resources/bif_purple.css" rel="STYLESHEET" type="text/css" />
        <title><xsl:value-of select="name"/></title>
      </head>
      <body>
<!-- ################################# -->
<!-- ### Subalbum name and description -->
<!-- ################################# -->
        <div id="banner"><h1><xsl:value-of select="name"/></h1></div>
	  <div id="photothumbs"> <!-- Container -->
	    <h2><xsl:value-of select="description"/></h2>

<!-- ################# -->
<!-- ### Photos    ### -->
<!-- ################# -->
          <xsl:for-each select="photo">
          <xsl:variable name="photoDescription" select="description"/>
	    <div class="thumb">
                <a href="img/{$subalbumNumber}/{position()}.jpg">
                <img class="thumb" src="img/{$subalbumNumber}/{position()}_thumb.jpg" alt="$photoDescription"/>
                </a>
	    </div>
	    </xsl:for-each>

          <div class="clear"></div>

      <ul class="topborder">
        <li><a href="subalbum_{position()}_slideshow.html"><img src="resources/otherLayout.png" /></a></li>
        <li><a href="subalbum_{position()}_slideshow.html">Slideshow</a></li>
        <li><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;&nbsp;&nbsp;&nbsp;]]></xsl:text></li>
        <li><a href="Album.html"><img src="resources/contents.png" alt="Album Index"/></a></li>
        <li><a href="Album.html">Album Index</a></li>
      </ul>
    </div> <!-- Container -->
    <div class="clear"></div>
    <div id="footer">
      <p>(Generated by <a href="http://albumshaper.sourceforge.net">Album Shaper</a>, Ree's theme)</p>
    </div>

      </body>
    </html>
  </xsl:document>

</xsl:if>

</xsl:for-each>
</xsl:template>
<!-- ####################################### -->
<!-- ####################################### -->

</xsl:stylesheet>





