<xsl:stylesheet
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.1">

<!-- ####################################### -->
<!-- ####################################### -->
<!-- Creates an HTML coverpage for the album -->
<xsl:template match="album" mode="coverpage">
<xsl:document method="html" indent="yes" href="{concat($outputPath, '/Album.html')}"> 
<html>
  <head>
    <meta name="generator" content="Album Shaper (c.) Will Stokes"/>
	<link href="resources/bif_purple.css" rel="STYLESHEET" type="text/css" />
    <title><xsl:value-of select="name"/></title>
  </head>
  <body>
    <div id="banner">
            <h1><xsl:value-of select="name"/></h1>
    </div>
    <div> <!-- Container -->
    <div id="album">
       <h2><xsl:value-of select="description"/></h2>
    <xsl:if test="thumb">
      <xsl:variable name="albumThumbnail" select="thumb/@path"/>
        <p id="mainimg"><img id="mainimg" src="{$albumThumbnail}" alt="Representative Album Image"/></p>
    </xsl:if>
    </div>
    <div id="subalbums">
	<h3>Album selection</h3>
        <xsl:for-each select="subalbum">
		<p>
		<dl>
			<dt>
                       <p><xsl:value-of select="name"/></p>
			</dt>
            	<dd class="albumimg">
                   <xsl:if test="thumb">
                    <xsl:variable name="subalbumThumbnail" select="thumb/@path"/>
                        <img class="subalbum" src="{$subalbumThumbnail}" alt="Subalbum {position()}" />
                  </xsl:if>
			</dd>
            	<dd class="navigate">
				<p>
				<ul>
                        <li><a href="subalbum_{position()}_slideshow.html">Slideshow</a></li>
                        <li><a href="subalbum_{position()}_thumbs.html">Thumbnails</a></li>
				</ul>
				</p>
			</dd>
            	<dd><div class="clear"></div></dd>
		</dl>
		</p>
        </xsl:for-each>
  </div> <!-- subalbums -->
  </div> <!-- Container -->
<div id="cleardiv"></div>
<div id="footer">
      <xsl:variable name="Cyear" select="substring-before(created, ' ')"/>
      <xsl:variable name="Cmonth" select="substring-before( substring-after(created, ' '), ' ')"/>
      <xsl:variable name="Cday" select="substring-after( substring-after(created, ' '), ' ')"/>
      <xsl:variable name="Myear" select="substring-before(modified, ' ')"/>
      <xsl:variable name="Mmonth" select="substring-before( substring-after(modified, ' '), ' ')"/>
      <xsl:variable name="Mday" select="substring-after( substring-after(modified, ' '), ' ')"/>

      <ul>
	<li>Album created on 
		<xsl:value-of select="$Cmonth"/>/<xsl:value-of select="$Cday"/>/<xsl:value-of select="$Cyear"/>,</li>
 	<li>last modified on 
			<xsl:value-of select="$Mmonth"/>/<xsl:value-of select="$Mday"/>/<xsl:value-of select="$Myear"/>,</li>
	<li>for <xsl:value-of select="author"/></li>
	<li>by <a href="http://albumshaper.sourceforge.net">Album Shaper</a>, Ree's theme.</li>
	</ul>
</div>
  </body>
</html>
</xsl:document>
</xsl:template>
<!-- ####################################### -->
<!-- ####################################### -->

</xsl:stylesheet>
