<xsl:stylesheet
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">

<!-- ####################################### -->
<!-- ####################################### -->
<!-- Write slideshow html pages -->
<xsl:template match="album" mode="slideshows">
<xsl:for-each select="subalbum">

  <xsl:if test="count(photo)">


  <xsl:variable name="subalbumNumber" select="position()"/>
  <xsl:variable name="photoCount" select="count(photo)"/>
  <xsl:document method="html" indent="yes" href="{concat($outputPath, '/subalbum_', string(position()), '_slideshow.html')}"> 
    <html>
      <head>
        <meta name="generator" content="Album Shaper (c.) Will Stokes"/>
 	  <link href="resources/bif_purple.css" rel="STYLESHEET" type="text/css" />
        
        <title><xsl:value-of select="name" /></title>
        <script type="text/javascript" language="JavaScript">
        <![CDATA[
        <!-- HIDE FROM OLD BROWSERS
        var imageNumber=1

        var photoTitles = new Array(]]><xsl:value-of select="count(photo)"/><![CDATA[);

        ]]>
        <xsl:for-each select="photo">
          <xsl:variable name="photoDescription" select="description"/>
          photoTitles[<xsl:value-of select="position()-1"/>] = <![CDATA["]]><xsl:value-of select="$photoDescription"/><![CDATA["]]>;
        </xsl:for-each>
        <![CDATA[

        //######################################
        //Define functions used to change images
        //######################################
        function expandImage()
        {
          fileToOpen = "img/]]><xsl:value-of select="$subalbumNumber"/><![CDATA[/"+imageNumber+".jpg"
          new_window = window.open(fileToOpen,'albulmifyRules')
        }

        function reloadImage()
        {
          document.currentPhoto.src="img/]]><xsl:value-of select="$subalbumNumber"/><![CDATA[/"+imageNumber+"_slideshow.jpg"
          document.currentPhoto.alt=photoTitles[imageNumber-1];
          document.getElementById("photoNum").lastChild.nodeValue="Photo " + imageNumber + " of ]]><xsl:value-of select="count(photo)"/><![CDATA["
          document.getElementById("photoDesc").lastChild.nodeValue=photoTitles[imageNumber-1];
        }

        function firstImage()
        {
          //set image number to first
          imageNumber = 1

          //reset image src value based on variable
          reloadImage()
        }

        function lastImage()
        {
          //set image number to last
          imageNumber = ]]><xsl:value-of select="count(photo)"/><![CDATA[

          //reset image src value based on variable
          reloadImage()
        }

        function nextImage()
        {
          //increment image number
          imageNumber = imageNumber + 1

          //wrap to begining if reached the end
          if (imageNumber==]]><xsl:value-of select="1 + count(photo)"/><![CDATA[)
          {imageNumber = 1}

          //reset image src value based on variable
          reloadImage()
        }

        function previousImage()
        {
          //decrement image number
          imageNumber = imageNumber - 1
          //wrap to begining if reached the end
          if (imageNumber==(1 - 1))
          {imageNumber = ]]><xsl:value-of select="count(photo)"/><![CDATA[}

          //reset image src value based on variable
          reloadImage()
        }
        -->
        ]]>
        </script>
      </head>
      <body>
<!-- ##################################### -->
<!-- ### Subalbum Name and Description ### -->
<!-- ##################################### -->
    <div id="banner"> <h1><xsl:value-of select="name" /></h1> </div>
    <div id="photoslide"> <!-- Container -->
    <h2><xsl:value-of select="description" /></h2>

<!-- ################################## -->
<!-- ### Control Buttons and Photo Info -->
<!-- ################################## -->
      <ul class="control">
        <li> <a href="JavaScript:firstImage()"> <img src="resources/first.png" alt="first" /> </a> </li>
        <li> <a href="JavaScript:previousImage()"> <img src="resources/prev.png" alt="previous" /> </a> </li>
        <li> <span id="photoNum">Photo 1 of <xsl:value-of select="$photoCount"/></span> </li>       
        <li> <a href="JavaScript:nextImage()"> <img src="resources/next.png" alt="next" /> </a> </li>
        <li> <a href="JavaScript:lastImage()"> <img src="resources/last.png" alt="last" /> </a> </li>
      </ul>

<!-- ############################ -->
<!-- ### Photo                ### -->
<!-- ############################ -->
    <p>
    <a href="JavaScript:expandImage()">
        <img alt="current photo" src="img/{$subalbumNumber}/1_slideshow.jpg" name="currentPhoto" />
    </a>
    <div id="photoDesc"><xsl:value-of select="photo/description"/>
	<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;&nbsp;]]></xsl:text>
    </div>
    </p>
<!-- ######################################### -->
<!-- ### Album Links and Album Shaper Link ### -->
<!-- ######################################### -->
      <ul class="topborder">
        <li><a href="subalbum_{position()}_thumbs.html"><img src="resources/otherLayout.png" /></a></li>
        <li><a href="subalbum_{position()}_thumbs.html">Thumbnails</a></li>
        <li><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;&nbsp;&nbsp;&nbsp;]]></xsl:text></li>
        <li><a href="Album.html"><img src="resources/contents.png" alt="Album Index"/></a></li>
        <li><a href="Album.html">Album Index</a></li>
      </ul>

    </div> <!-- Container -->
    <div class="clear"></div>
    <div id="footer">
      <p>(Generated by <a href="http://albumshaper.sourceforge.net">Album Shaper</a>, Ree's theme)</p>
    </div>

      </body>
    </html>
  </xsl:document>
  
</xsl:if>
  
</xsl:for-each>
</xsl:template>
<!-- ####################################### -->
<!-- ####################################### -->

</xsl:stylesheet>
