<xsl:stylesheet
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
     
<!-- ####################################### -->
<!-- ####################################### -->
<!-- Write thumbnail html pages -->
<xsl:template match="album" mode="contactsheets">
<xsl:for-each select="subalbum">
    
  <xsl:if test="count(photo)">
  
  <xsl:variable name="subalbumNumber" select="position()"/>
  <xsl:document method="html" indent="yes" href="{concat($outputPath, '/subalbum_', string(position()), '_thumbs.html')}"> 
    <html>
      <head>
        <meta name="generator" content="Album Shaper (c.) Will Stokes"/>
        <style type="text/html">
          &lt;!--
          A{text-decoration:none}
          --&gt;
        </style>
        <style type="text/css">
          &lt;!--
          h3 {font-size: 12pt; font-weight: bold; text-align: center}
          h4 {font-size: 10pt; font-weight: normal; text-align: center}
          h4.ital {font-size: 10pt; font-weight: normal; text-align: center}
          --&gt;
        </style>
        <title><xsl:value-of select="name"/></title>
      </head>
      <body bgcolor="white" text="black">
        <center>
          <table border="0" cellpadding="0" cellspacing="0">

<!-- ################## -->
<!-- ### Top Border ### -->
<!-- ################## -->
<tr>
  <td style="background-image: url(resources/topLeft.png);" width="16" height="16"></td>
  <td style="background-image: url(resources/horizontal.png); background-repeat:repeat-x;" height="16"></td>
  <td style="background-image: url(resources/topRight.png);" width="16" height="16"></td>
</tr>

<!-- ################################# -->
<!-- ### Subalbum name and description -->
<!-- ################################# -->
<tr>
  <td style="background-image: url(resources/vertical.png); background-repeat:repeat-y;" width="16"></td>
  <td width="450" align="center">
    <h3><xsl:value-of select="name"/></h3>
    <h4><xsl:value-of select="description"/></h4>
  </td>
  <td style="background-image: url(resources/vertical.png); background-repeat:repeat-y;" width="16"></td>
</tr>

<!-- ################# -->
<!-- ### Photos    ### -->
<!-- ################# -->
<tr>
  <td style="background-image: url(resources/vertical.png); background-repeat:repeat-y;" width="16"></td>
  <td>
          <table border="0">
            <tr>
              <xsl:for-each select="photo">
              <xsl:variable name="photoDescription" select="description"/>
              <td valign="top" width="220">
                <center>
                <table border="0">
                  <tr>
                    <td valign="top">
                      <center>
                        <a href="img/{$subalbumNumber}/{position()}.jpg">
                          <img src="img/{$subalbumNumber}/{position()}_thumb.jpg" alt="$photoDescription"/>
                        </a>
                      </center>
                    </td>
                  </tr>
                  <tr>
                    <td valign="bottom">
                      <center>
                        <a href="img/{$subalbumNumber}/{position()}.jpg">
                          <xsl:value-of select="description"/>
                        </a>
                      </center>
                    </td>
                  </tr>
                </table>
              </center>
              </td>
              <xsl:if test="not(position() mod 3)">
                <xsl:text disable-output-escaping="yes"> &lt;/tr&gt;&lt;tr&gt;</xsl:text>
              </xsl:if>
              </xsl:for-each>
              <xsl:call-template name="endRow">
                <xsl:with-param name="cellsLeft" select="(3 - (count(photo) mod 3))"/>
              </xsl:call-template>
            </tr>
          </table>

  </td>
  <td style="background-image: url(resources/vertical.png); background-repeat:repeat-y;" width="16"></td>
</tr>

<!-- ################# -->
<!-- ### Separator ### -->
<!-- ################# -->
<tr>
  <td style="background-image: url(resources/leftJoint.png);" width="16" height="16"></td>
  <td style="background-image: url(resources/horizontal.png); background-repeat:repeat-x;" height="16"></td>
  <td style="background-image: url(resources/rightJoint.png);" width="16" height="16"></td>
</tr>

<!-- ##################################### -->
<!-- ### Links to other parts of album ### -->
<!-- ##################################### -->
<tr>
  <td style="background-image: url(resources/vertical.png); background-repeat:repeat-y;" width="16"></td>
  <td align="center">
          <table border="0">
            <tr>
              <script type="text/javascript" language="JavaScript">
              <![CDATA[
              <!-- HIDE FROM OLD BROWSERS
              document.write("<td valign=\"middle\">")
              document.write("  <a href=\"subalbum_]]><xsl:value-of select="position()"/><![CDATA[_slideshow.html\">")
              document.write("    <img src=\"resources/otherLayout.png\" border=\"0\"/>")
              document.write("  </a>")
              document.write("</td>")
              document.write("<td valign=\"middle\">")
              document.write("  <h4>")
              document.write("    <a href=\"subalbum_]]><xsl:value-of select="position()"/><![CDATA[_slideshow.html\">")
              document.write("      Slideshow")
              document.write("    </a>")
              document.write("  </h4>")
              document.write("</td>")
              document.write("<td>")
              document.write("&nbsp;&nbsp;")
              document.write("</td>")
              -->
              ]]>
              </script>
              <td valign="middle">
                <a href="Album.html">
                  <img src="resources/contents.png" border="0" alt="Album Index"/>
                </a>
              </td>
              <td valign="middle">
                <h4>
                  <a href="Album.html">
                    Album Index
                  </a>
                </h4>
              </td>
            </tr>
          </table>
  </td>
  <td style="background-image: url(resources/vertical.png); background-repeat:repeat-y;" width="16"></td>
</tr>
<tr>
  <td style="background-image: url(resources/vertical.png); background-repeat:repeat-y;" width="16"></td>
  <td align="center"><h4 class="ital">
          (Generated by <a href="http://albumshaper.sourceforge.net">Album Shaper</a>, Slick theme)
  </h4></td>
  <td style="background-image: url(resources/vertical.png); background-repeat:repeat-y;" width="16"></td>
</tr>

<!-- ################# -->
<!-- ### Bottom Border -->
<!-- ################# -->
<tr>
  <td style="background-image: url(resources/bottomLeft.png);" width="16" height="16"></td>
  <td style="background-image: url(resources/horizontal.png); background-repeat:repeat-x;" height="16"></td>
  <td style="background-image: url(resources/bottomRight.png);" width="16" height="16"></td>
</tr>

</table>
</center>

      </body>
    </html>
  </xsl:document>

</xsl:if>

</xsl:for-each>
</xsl:template>
<!-- ####################################### -->
<!-- ####################################### -->

</xsl:stylesheet>





